Subject: bug#52751: 27.1; Go back to editing the from part in query replace

From: Juri Linkov <[email-masked]>
Date: Sun, 26 Dec 2021 09:45:10 +0200

>> First, each of these fields should act as the minibuffer
>> where M-p and M-n navigates the history of previous FROM->TO pairs.
>
> Yes, history navigation keys should fill the FROM and TO fields
> as appropriate. What's the problem here? Of course, they have to
> be reimplemented here, if this is what you mean.
>
> Optimally, this two field input thing should be made generic, so
> other commands can also use it in the future. So it should be
> a reusable input widget, a new kind of interactive input for commands
> to use, beside the usual single minibuffer input.

This means like there is a generic function 'completing-read-multiple'
that reads multiple fields using "," as a separator, a similar function
could be created to read a list of values from fields in the minibuffer.